import React from "react";
import { describe, it, expect, vi, beforeEach } from "vitest";
import { render, screen } from "@testing-library/react";
import { Content } from "./index";
describe("Content Component", () => {
    beforeEach(() => {
        vi.clearAllMocks();
    });
    it("renders the text from activeScoreData", () => {
        const activeScoreData = { text: "Test Score Text" };
        render(React.createElement(Content, { activeScoreData: activeScoreData }));
        expect(screen.getByText("Test Score Text")).toBeInTheDocument();
    });
    it("renders empty text when activeScoreData is undefined", () => {
        render(React.createElement(Content, null));
        expect(screen.queryByTestId("score-description")).toBeNull();
    });
});
//# sourceMappingURL=index.test.js.map