import type { Options, CategoryKey, ScoreKey } from "./types";
/**
 * Transforms the scores menu data by filtering out hidden categories and scores,
 * and sorting them by their order.
 *
 * This function is used to prepare the scores menu data for rendering in the UI.
 *
 * @param scoresMenu
 * @returns
 */
export declare function transformScoresMenuData(scoresMenu: Options["scoresMenu"]): {
    categories: [CategoryKey, import("./types").CategoryOptions & {
        scores: [ScoreKey, never][];
    }][];
    defaultOpen?: boolean;
    title?: boolean | string;
};
//# sourceMappingURL=utils.d.ts.map